Class | Object
In: | lib/ramaze/snippets/metaid.rb
Parent: | Object

from whytheluckystiff.net/articles/seeingMetaclassesClearly.html

### Methods

class_def meta_def meta_eval metaclass

### Public Instance methods

class_def(name, &blk)

Defines an instance method within a class

meta_def(name, &blk)

Adds methods to a metaclass

meta_eval(&blk;)
metaclass()

The hidden singleton lurks behind everyone

[Validate]